#include <iostream>
#include <iomanip>
using namespace std;
int main()
    {int N,i,i2,i3=0,m;
    cin>>N;
    double A[N],P[N],x[N],ma=0,o;
    for (i=0;i<N;i++)
        cin>>A[i]>>P[i];
    for (i2=0;i2<N;i2++)
        {for(i=0;i<N;i++)
            {if (P[i]>ma)
                {ma=P[i];
                m=i;}}
        o+=A[m];
        x[i3]=o*ma/100,00;
        i3++;
        P[m]=0;
        ma=0;}
    for(i=0;i<N;i++)
        {if (x[i]>ma)
            ma=x[i];}
    cout<<fixed<<showpoint<<setprecision(4)<<ma;
    return 0;}